Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.pdf.xref
Class CrossReferenceObject

    java.lang.Object
      org.apache.fop.pdf.xref.CrossReferenceObject

Direct Known Subclasses:
  CrossReferenceStream, CrossReferenceTable

    public abstract class CrossReferenceObject

extends java.lang.Object

A representation of the cross-reference data to be output at the end of a PDF file.

Field Summary
`protected long` | `startxref`
`protected TrailerDictionary` | `trailerDictionary`

Method Summary
`abstract void` | `output(java.io.OutputStream stream)` Writes the cross reference data to a PDF stream

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### trailerDictionary

    protected final TrailerDictionary trailerDictionary

### startxref

    protected final long startxref

Method Detail

### output

    public abstract void output(java.io.OutputStream stream)
                         throws java.io.IOException

  Writes the cross reference data to a PDF stream

  Parameters:
    `stream` - the stream to write the cross reference to
  Throws:
    `java.io.IOException` - if an I/O exception occurs while writing the data

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2012 The Apache Software Foundation. All Rights Reserved.